'use strict';

/**
 * 变更令-展示页js
 *
 * @author EllisRan.
 * @date 2018/11/22
 * @version
 */

$(document).ready(() => {
    $('#show-table-detail').click(function (e) {
        if($(e.target).is('label')){
            return;
        }
        table.destroy();
        if ($(this).prop('checked')) {
            $('#tablelist2').show();
            $('#tablelist').hide();
            table = $('#tablelist2').removeAttr('width').DataTable(billsTable);
        } else {
            $('#tablelist').show();
            $('#tablelist2').hide();
            table = $('#tablelist').removeAttr('width').DataTable(billsTable);
        }
        // 判断是否显示变更详情
        if (!$('.change-detail-checkbox').is(':checked')) {
            const column = table.column(2);
            column.visible(!column.visible());
        }
    })
});
